Beefy Boxes and Bandwidth Generously Provided by pair Networks
Your skill will accomplish
what the force of many cannot
 
PerlMonks  

Crypt::OpenSSL::RSA v0.30: compatible with OpenSSL 1.1.0

by 1nickt (Monsignor)
on May 05, 2018 at 18:11 UTC ( #1214101=perlnews: print w/replies, xml ) Need Help??

Hi all, the latest version (0.30) of Crypt::OpenSSL::RSA was released this week. Notable among other improvements is the addition of support for OpenSSL 1.1.0.

This is great news because many platforms are installing OpenSSL v1.1.0 by default (e.g. the aptitude package manager I use on Ubuntu), which leads to the familiar XS header file incompatibilities that prevent XS-based modules from installing. These include Crypt::OpenSSL::RSA, which is required by Crypt::LE, the wrapper around the free certificate issuer Let's Encrypt's API, which was what I was trying to set up. Since LE certificates expire in 90 days, automatic renewal is important, and I was really wanting to manage that with Perl. Thanks to Todd Rinaldo that's possible again.


The way forward always starts with a minimal test.
  • Comment on Crypt::OpenSSL::RSA v0.30: compatible with OpenSSL 1.1.0

Log In?
Username:
Password:

What's my password?
Create A New User
Node Status?
node history
Node Type: perlnews [id://1214101]
help
Chatterbox?
and all is quiet...

How do I use this? | Other CB clients
Other Users?
Others cooling their heels in the Monastery: (11)
As of 2018-05-22 10:37 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?
    Notices?